<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.11) on Sat Dec 04 19:21:21 CET 2021 -->
<title>AbstractEngine</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-12-04">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AbstractEngine";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":9,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AbstractEngine.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">qengine.engine</a></div>
<h2 title="Class AbstractEngine" class="title">Class AbstractEngine</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>qengine.engine.AbstractEngine</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="Engine.html" title="interface in qengine.engine">Engine</a></code></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><code><a href="comparator/AbstractEngineComparator.html" title="class in qengine.engine.comparator">AbstractEngineComparator</a></code>, <code><a href="CustomEngine.html" title="class in qengine.engine">CustomEngine</a></code>, <code><a href="JenaEngine.html" title="class in qengine.engine">JenaEngine</a></code>, <code><a href="RDF4JEngine.html" title="class in qengine.engine">RDF4JEngine</a></code></dd>
</dl>
<hr>
<pre>public abstract class <span class="typeNameLabel">AbstractEngine</span>
extends java.lang.Object
implements <a href="Engine.html" title="interface in qengine.engine">Engine</a></pre>
<div class="block">Base d'un moteur de requêtes RDF.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Pierre Romestant, Gabriel Darbord</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="AbstractEngine.Impl.html" title="enum in qengine.engine">AbstractEngine.Impl</a></span></code></th>
<td class="colLast">
<div class="block">Énumération des implémentations de <a href="AbstractEngine.html" title="class in qengine.engine"><code>AbstractEngine</code></a>.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#BASE_URI">BASE_URI</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#nbProcessedQueries">nbProcessedQueries</a></span></code></th>
<td class="colLast">
<div class="block">Compteur de requêtes traitées.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">AbstractEngine</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected static java.util.ArrayList&lt;java.io.File&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#listQueryFiles(java.io.File)">listQueryFiles</a></span>&#8203;(java.io.File&nbsp;folder)</code></th>
<td class="colLast">
<div class="block">Méthode utilitaire pour lister les fichiers de requêtes dans un dossier.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#nbProcessedQueries()">nbProcessedQueries</a></span>()</code></th>
<td class="colLast">
<div class="block">Retourne le nombre de requêtes traitées.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#parseQueries(java.lang.String,java.lang.String)">parseQueries</a></span>&#8203;(java.lang.String&nbsp;queryPath,
            java.lang.String&nbsp;outputPath)</code></th>
<td class="colLast">
<div class="block">Récupère et analyse les requêtes au format RDF contenues dans une
 arborescence de fichiers.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#processQuery(java.lang.String,java.io.FileWriter)">processQuery</a></span>&#8203;(java.lang.String&nbsp;queryString,
            java.io.FileWriter&nbsp;fileWriter)</code></th>
<td class="colLast">
<div class="block">Wrapper de la fonction <a href="Engine.html#processQuery(java.lang.String)"><code>Engine.processQuery(String)</code></a> qui écrit le résultat
 dans un fichier.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.qengine.engine.Engine">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;qengine.engine.<a href="Engine.html" title="interface in qengine.engine">Engine</a></h3>
<code><a href="Engine.html#dictSize()">dictSize</a>, <a href="Engine.html#indexSize()">indexSize</a>, <a href="Engine.html#nbParsedData()">nbParsedData</a>, <a href="Engine.html#parseData(java.lang.String)">parseData</a>, <a href="Engine.html#processQuery(java.lang.String)">processQuery</a></code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="BASE_URI">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BASE_URI</h4>
<pre>protected static final&nbsp;java.lang.String BASE_URI</pre>
</li>
</ul>
<a id="nbProcessedQueries">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>nbProcessedQueries</h4>
<pre>protected&nbsp;int nbProcessedQueries</pre>
<div class="block">Compteur de requêtes traitées.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractEngine</h4>
<pre>public&nbsp;AbstractEngine()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="nbProcessedQueries()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nbProcessedQueries</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;nbProcessedQueries()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="Engine.html#nbProcessedQueries()">Engine</a></code></span></div>
<div class="block">Retourne le nombre de requêtes traitées.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Engine.html#nbProcessedQueries()">nbProcessedQueries</a></code>&nbsp;in interface&nbsp;<code><a href="Engine.html" title="interface in qengine.engine">Engine</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>le nombre de requêtes traitées</dd>
</dl>
</li>
</ul>
<a id="parseQueries(java.lang.String,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parseQueries</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;parseQueries&#8203;(java.lang.String&nbsp;queryPath,
                         java.lang.String&nbsp;outputPath)
                  throws java.io.IOException</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="Engine.html#parseQueries(java.lang.String,java.lang.String)">Engine</a></code></span></div>
<div class="block">Récupère et analyse les requêtes au format RDF contenues dans une
 arborescence de fichiers.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Engine.html#parseQueries(java.lang.String,java.lang.String)">parseQueries</a></code>&nbsp;in interface&nbsp;<code><a href="Engine.html" title="interface in qengine.engine">Engine</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>queryPath</code> - le chemin du fichier ou dossier contenant les requêtes</dd>
<dd><code>outputPath</code> - le chemin du fichier résultat qui sera généré</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</li>
</ul>
<a id="processQuery(java.lang.String,java.io.FileWriter)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processQuery</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;processQuery&#8203;(java.lang.String&nbsp;queryString,
                            java.io.FileWriter&nbsp;fileWriter)
                     throws java.io.IOException</pre>
<div class="block">Wrapper de la fonction <a href="Engine.html#processQuery(java.lang.String)"><code>Engine.processQuery(String)</code></a> qui écrit le résultat
 dans un fichier.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>queryString</code> - la requête à traiter</dd>
<dd><code>fileWriter</code> - un écrivain ouvert sur un fichier</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</li>
</ul>
<a id="listQueryFiles(java.io.File)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>listQueryFiles</h4>
<pre class="methodSignature">protected static&nbsp;java.util.ArrayList&lt;java.io.File&gt;&nbsp;listQueryFiles&#8203;(java.io.File&nbsp;folder)</pre>
<div class="block">Méthode utilitaire pour lister les fichiers de requêtes dans un dossier.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>folder</code> - un dossier contenant des fichiers de requêtes</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>la liste des fichiers de requêtes</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AbstractEngine.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
